package com.njcn.csdevice.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.csdevice.pojo.param.DataArrayParam;
import com.njcn.csdevice.pojo.po.CsDataArray;
import com.njcn.csdevice.pojo.vo.DataArrayTreeVO;
import com.njcn.csdevice.pojo.vo.DeviceManagerDetailVO;

import java.util.List;

/**
 * <p>
 * 详细数据表 服务类
 * </p>
 *
 * @author xuyang
 * @since 2023-05-31
 */
public interface ICsDataArrayService extends IService<CsDataArray> {
    /**
     * 根据数据集获取指标数据
     * @param dataSet 数据集Id
     * @return
     */
    List<CsDataArray> getArrayBySet(String dataSet);

    /**
     * 根据数据集获取指标数据
     * @param id
     * @return
     */
    List<DeviceManagerDetailVO> getTargetById(String id);

    List<DataArrayTreeVO> getDataArray(List<String> list);

    /**
     * 根据数据集id获取分组数据
     * @param dataSet
     * @return
     */
    List<CsDataArray> getGroupData(String dataSet);

    List<CsDataArray> getDataArrayById(String pid, String name);

    List<CsDataArray> getDataArrayByIds(List<String> ids);

    /**
     * 根据条件获取详细数据集
     * @param param
     * @return
     */
    List<CsDataArray> findListByParam(DataArrayParam param);

    /**
     * 根据数据集id获取指标数据
     */
    List<CsDataArray> getDataArrayByDataSetIds(List<String> dataSetIds);
}
